#include <stdio.h>

enum SyntaxElementType {
	TOPTREE,
	TREE,
	TOKEN,
	STRING,
	NUMBER,
	NONE
};

struct SyntaxElement {
	enum SyntaxElementType type;
	void* content;
	struct SyntaxElement* next;
	struct SyntaxElement* top;
};

struct SyntaxElement* parse(FILE* file);
